package com.fr.plugin.tabledata.build;

import com.fr.base.TableData;
import com.fr.data.impl.DBTableData;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.stable.fun.impl.AbstractTableDataBuildProvider;

/**
 * @author rinoux
 * @version 10.0
 * Created by rinoux on 2020/10/23
 */
@FunctionRecorder
public class DemoTableDataBuilder extends AbstractTableDataBuildProvider<DemoTableData> {

    @Override
    public Class<? extends TableData> getAttrClass() {
        return DBTableData.class;
    }

    @Override
    public Class<DemoTableData> getBuildClass() {
        return DemoTableData.class;
    }
}
